ONVIF::Device::Types::OSDColorOptions(3)

NAME
ONVIF::Device::Types::OSDColorOptions

DESCRIPTION
Perl data type class for the XML Schema defined complexType OSDColorOptions from the namespace http://www.onvif.org/ver10/schema.

Describe the option of the color and its transparency.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Color

•   Transparent

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::OSDColorOptions
   Color =>    { # ONVIF::Device::Types::ColorOptions
     # One of the following elements.
     # No occurrence checks yet, so be sure to pass just one...
     ColorList => ,
     ColorspaceRange =>  { # ONVIF::Device::Types::ColorspaceRange
       X =>  { # ONVIF::Device::Types::FloatRange
         Min =>  $some_value, # float
         Max =>  $some_value, # float
       },
       Y =>  { # ONVIF::Device::Types::FloatRange
         Min =>  $some_value, # float
         Max =>  $some_value, # float
       },
       Z =>  { # ONVIF::Device::Types::FloatRange
         Min =>  $some_value, # float
         Max =>  $some_value, # float
       },
       Colorspace =>  $some_value, # anyURI
     },
   },
   Transparent =>  { # ONVIF::Device::Types::IntRange
     Min =>  $some_value, # int
     Max =>  $some_value, # int
   },
   Extension =>  { # ONVIF::Device::Types::OSDColorOptionsExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL